require 'android-xml'


describe 'AndroidManifest.xml' do

  before do
    AndroidXml.reset
    AndroidXml.setup_defaults
  end

  it 'should generate a sensible AndroidManifest file' do
    xml = AndroidXml.file('AndroidManifest.xml') do
      manifest package: 'com.your_name_here.AnyAndroidApp', versionCode: 1, versionName: 1.0 do
        uses_sdk minSdkVersion: 11

        application label: '@string/app_name', icon: '@drawable/ic_launcher' do
          activity name: 'MainActivity', label: '@string/app_name' do
            intent_filter do
              main_action
              launcher_category
            end
          end

          activity name: 'AnotherActivity', label: '@string/app_name', parentActivityName: 'com.your_name_here.AnyAndroidApp.MainActivity'
        end
      end
    end

    expect(xml.to_s).to eql <<-XML
<!-- Do not edit this file. It was generated by AndroidXml. -->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.your_name_here.AnyAndroidApp"
          android:versionCode="1"
          android:versionName="1.0">
    <uses-sdk android:minSdkVersion="11" />
    <application android:label="@string/app_name"
                 android:icon="@drawable/ic_launcher">
        <activity android:name="MainActivity"
                  android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="AnotherActivity"
                  android:label="@string/app_name"
                  android:parentActivityName="com.your_name_here.AnyAndroidApp.MainActivity" />
    </application>
</manifest>
XML
  end

end
