require 'android-xml'


describe AndroidXml do

  before do
    AndroidXml.reset
    AndroidXml.setup_defaults
  end

  it 'should generate <menu>' do
    xml = AndroidXml.menu('tmp/test.xml') do
      item id: '@+id/action_search',
        icon: '@drawable/ic_action_search',
        title: '@string/action_search',
        showAsAction: 'ifRoom'
    end

    expect(xml.to_s).to eql <<-XML
<!-- Do not edit this file. It was generated by AndroidXml. -->
<menu xmlns:android="http://schemas.android.com/apk/res/android">
    <item android:id="@+id/action_search"
          android:icon="@drawable/ic_action_search"
          android:title="@string/action_search"
          android:showAsAction="ifRoom" />
</menu>
XML
  end

end
