require 'android-xml'


describe 'Android menu files' do

  before do
    AndroidXml.reset
    AndroidXml.setup do
      tag :application do
        defaults screenOrientation: 'portrait', allowBackup: false
      end
    end
  end

  it 'should include defaults' do
    xml = AndroidXml.file('tmp/test.xml') do
      application
    end

    expect(xml.to_s).to eql <<-XML
<!-- Do not edit this file. It was generated by AndroidXml. -->
<application android:screenOrientation="portrait"
             android:allowBackup="false" />
XML
  end

  it 'should override defaults' do
    xml = AndroidXml.file('tmp/test.xml') do
      application allowBackup: true
    end

    expect(xml.to_s).to eql <<-XML
<!-- Do not edit this file. It was generated by AndroidXml. -->
<application android:screenOrientation="portrait"
             android:allowBackup="true" />
XML
  end

  it 'should remove nil values' do
    xml = AndroidXml.file('tmp/test.xml') do
      application screenOrientation: nil
    end

    expect(xml.to_s).to eql <<-XML
<!-- Do not edit this file. It was generated by AndroidXml. -->
<application android:allowBackup="false" />
XML
  end

end
